﻿@using Resources;    

<div id="emap-share-window" class="modal fade" tabindex="-1" role="dialog" aria-hidden="true" style="z-index:2000">
	<div class="modal-dialog">
		<div class="modal-content">

			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
				@Main.Share
			</div>
			<div class="modal-body">

				<div id="social-buttons">
					<a id="emap-share-facebook" href="javascript:void(0)" ng-click="share.fb_share()" style="text-decoration:none">
						<span class="b-share-icon b-share-icon_facebook"></span>
					</a>
                    <div id="emap-share-twitter" style="display:inline-block">
                        <a class="twitter-share-button" 
                            href="http://twitter.com/share" 
                            data-url="{{share.tweet_address}}" 
                            data-text="{{share.tweet_text}}">Tweet</a>
                        <script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
                    </div>                    
                    <button ng-show="contentScreen.t_route.isCalculated" class="btn btn-primary btn-sm" ng-click="share.gotoRouteSms()">SMS</button>
                    <button ng-hide="contentScreen.t_route.isCalculated" class="btn btn-primary btn-sm" ng-click="share.gotoMessageSms()">SMS</button>
                    <button class="btn btn-primary btn-sm" ng-click="share.gotoEmail()">E-Mail</button>
                    <div id="fb-root"></div>            
				</div>
                <div ng-show="share.isRouteSMS" id="emap-route-sms-share">
                    <div class="alert alert-success" role="alert" ng-show="share.isSmsSuccess">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only">@Main.Success:</span>
                        @Main.SMS_has_been_sent
                    </div>
                    <div class="alert alert-danger" role="alert" ng-show="share.isSmsError">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only">@Main.Error:</span>
                        @Main.SMS_has_not_been_sent
                    </div>
				    <div class="input-group emap-sms-phone">
                        <div class="input-group-addon">
                            <span>@Main.Phone: +968</span>
                        </div>
                        <input type="text" class="form-control" placeholder="eg:99123456" ng-model="share.phone">
                    </div>
                    <table class="table emap-sms-info">
                        <tr>
                            <td>@Main.Destination</td>
                            <td>
                                <span ng-hide="contentScreen.selected_tenant.formatted_address == 'Selected plot' || contentScreen.selected_tenant.formatted_address == 'الأرض المختارة'" style="color: #428bca;">
                                    {{contentScreen.t_route.to.formatted_address}} - {{contentScreen.selected_estate.formatted_address}}
                                </span>
                                <span ng-show="contentScreen.selected_tenant.formatted_address == 'Selected plot' || contentScreen.selected_tenant.formatted_address == 'الأرض المختارة'" style="color: #428bca;">
                                    @Main.Plot_location_code: {{contentScreen.selected_tenant.fid}}, @Main.Plot_area: {{contentScreen.selected_tenant.Area}} @Main.m2<sup>2</sup>. - {{contentScreen.selected_estate.formatted_address}}
                                </span>
                            </td>
                        </tr>
                        <tr><td>@Main.Longitude</td><td>{{contentScreen.t_route.to.lon}}</td></tr>
                        <tr><td>@Main.Latitude</td><td>{{contentScreen.t_route.to.lat}}</td></tr>
                    </table>
                </div>
                <div ng-show="share.isMessageSMS" id="emap-message-sms-share">
                    <div class="alert alert-success" role="alert" ng-show="share.isSmsSuccess">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only">@Main.Success:</span>
                        @Main.SMS_has_been_sent
                    </div>
                    <div class="alert alert-danger" role="alert" ng-show="share.isSmsError">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only">@Main.Error:</span>
                        @Main.SMS_has_not_been_sent
                    </div>
                    <!-- -->
                    <form class="form-horizontal">
                        <div class="form-group">
                            <label class="col-sm-2 control-label">@Main.Phone</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" placeholder="eg:99123456" ng-model="share.phone">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">@Main.Message</label>
                            <div class="col-sm-10">
                                <textarea class="form-control" placeholder="@Main.Message_Body" ng-model="share.smsBody"></textarea>
                            </div>
                        </div>
                    </form>
                </div>
                <div ng-show="share.isEmail" id="emap-email-share">
                    <div class="alert alert-success" role="alert" ng-show="share.isEmailSuccess">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only">@Main.Success:</span>
                        @Main.Email_has_been_sent
                    </div>
                    <div class="alert alert-danger" role="alert" ng-show="share.isEmailError">
                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                        <span class="sr-only">@Main.Error:</span>
                        @Main.Email_has_not_been_sent
                    </div>
                    <!-- -->
                    <form class="form-horizontal">
                        <div class="form-group">
                            <label class="col-sm-2 control-label">@Main.Email</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" placeholder="@Main.Email_Address" ng-model="share.emailAddress">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">@Main.Subject</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" placeholder="@Main.Message_Subject" ng-model="share.emailSubject">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">@Main.Message</label>
                            <div class="col-sm-10">
                                <textarea class="form-control" placeholder="@Main.Message_Body" ng-model="share.emailBody"></textarea>
                            </div>
                        </div>
                    </form>
                    <!-- -->

                </div>
            </div>
			<div class="modal-footer">
				<div>
                    <button ng-show="share.isBackVisible" class="btn btn-primary btn-sm" aria-hidden="true" ng-click="share.back()">@Main.Back</button>
                    <button ng-show="share.isSendVisible" class="btn btn-primary btn-sm" aria-hidden="true" ng-click="share.send()">@Main.Send</button>
					<button class="btn btn-primary btn-sm" data-dismiss="modal" aria-hidden="true">@Main.Close</button>
				</div>	
			</div>
		</div>
	</div>
</div>	
	